# sf::Vector3< T > Class Template Reference

Vector3 is an utility class for manipulating 3 dimensional vectors. More...

`#include <Vector3.hpp>`

List of all members.

## Public Member Functions

| Vector3 ()
| Default constructor.
| Vector3 (T X, T Y, T Z)
| Construct the vector from its coordinates.

## Public Attributes

T | x
| X coordinate of the vector.
T | y
| Y coordinate of the vector.
T | z
| Z coordinate of the vector.

## Detailed Description

### template<typename T>
class sf::Vector3< T >

Vector3 is an utility class for manipulating 3 dimensional vectors.

Template parameter defines the type of coordinates (integer, float, ...)

Definition at line 37 of file Vector3.hpp.

## Constructor & Destructor Documentation

template<typename T>

sf::Vector3< T >::Vector3 | ( |  | ) |

Default constructor.

template<typename T>

sf::Vector3< T >::Vector3 | ( | T | X,
|  | T | Y,
|  | T | Z |
| ) |  |  |

Construct the vector from its coordinates.

Parameters:

  | X | : X coordinate
  | Y | : Y coordinate
  | Z | : Z coordinate

## Member Data Documentation

template<typename T>

T sf::Vector3< T >::x

X coordinate of the vector.

Definition at line 60 of file Vector3.hpp.

template<typename T>

T sf::Vector3< T >::y

Y coordinate of the vector.

Definition at line 61 of file Vector3.hpp.

template<typename T>

T sf::Vector3< T >::z

Z coordinate of the vector.

Definition at line 62 of file Vector3.hpp.

The documentation for this class was generated from the following file:

- Vector3.hpp